LOOK(1)

NAZWA
look - wyświetl linie, zaczynające się od podanego napisu

SKŁADNIA
look [-dfa] [-t termchar] napis [plik]

OPIS
Narzędzie look wyświetla dowolne linie z pliku plik , które zawierają napis jako przedrostek. Jako, że look dokonuje przeszukiwania binarnego, linie w pliku muszą być posortowane.

Jeśli plik nie jest podany, używany jest plik /usr/dict/words , porównywane są tylko znaki alfanumeryczne, a ich rozmiar jest ignorowany.

Opcje:

-d  Zestaw znaków i kolejność słownikowa, np. porównywane będą tylko znaki alfanumeryczne.

-f  Ignoruj rozmiar znaków alfabetycznych.

-a  Użyj alternatywnego słownika /usr/dict/web2

-t  Podaj znak końca napisu, np. porównywane będą tylko te znaki z napisu , które znajdują się przed pierwszą instancją termchar .

Narzędzie look kończy ze statusem 0, jeśli znaleziono jedną lub więcej linii, 1 jeśli nie znaleziono żadnej linii i >2 po błędzie.

PLIKI
/usr/dict/words
    słownik
/usr/dict/web2
    alternatywny słownik

ZOBACZ TAKŻĘ
grep(1), sort(1)

KOMPATYBILNOŚĆ
Oryginalna strona podręcznika mówiła, że tabulacje i spacje uczestniczą w porównaniach po ustawieniu opcji -d . Było to nieprawidłowe i obecna strona podręcznika odpowiada historycznej implementacji.

HISTORIA
Look pojawił się w Wersji 7 AT&T Unix.